# OpenLayers.Format.CSWGetDomain.v2_0_2

A format for creating CSWGetDomain v2.0.2 transactions. Create a new instance with the OpenLayers.Format.CSWGetDomain.v2_0_2 constructor.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.CSWGetDomain.v2_0_2 | A format for creating CSWGetDomain v2.0.2 transactions.
Properties |
PropertyName | {String} Value of the csw:PropertyName element, used when writing a GetDomain document.
ParameterName | {String} Value of the csw:ParameterName element, used when writing a GetDomain document.
Constructor |
OpenLayers.Format.CSWGetDomain.v2_0_2 | A class for parsing and generating CSWGetDomain v2.0.2 transactions.
Functions |
read | Parse the response from a GetDomain request.
write | Given an configuration js object, write a CSWGetDomain request.

### Properties

### PropertyName

{String} Value of the csw:PropertyName element, used when writing a GetDomain document.

### ParameterName

{String} Value of the csw:ParameterName element, used when writing a GetDomain document.

### Constructor

### OpenLayers.Format.CSWGetDomain.v2_0_2

A class for parsing and generating CSWGetDomain v2.0.2 transactions.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

#### Valid options properties

- PropertyName
- ParameterName

### Functions

### read

> read: function( | data | )

Parse the response from a GetDomain request.

### write

> write: function( | options | )

Given an configuration js object, write a CSWGetDomain request.

#### Parameters

options | {Object} A object mapping the request.

#### Returns

{String} A serialized CSWGetDomain request.

> read: function( | data | )

Parse the response from a GetDomain request.

> write: function( | options | )

Given an configuration js object, write a CSWGetDomain request.
A class for parsing and generating CSWGetDomain v2.0.2 transactions.
Read and write XML.
Close